# Makefile.site
# This Makefile sets generic variables.

RIP = $(shell cd ../../; pwd)

RIPINCDIR = ../../include
RIPLIBDIR = ../../lib

SOURCES = $(shell ls *.c)
HEADERS = $(shell ls ../../include/*.h)
RIPDEFS = $(shell ls ../../include/*.def)

PRODUCT = @PRODUCT@
VERSION = @VERSION@


# Site-specific parameters
# Change this variables as needed

# glib-config
GLIBCONF = @glibconfig@

# MySQL include and lib directories
MYSQLINCDIR = @mysqlincdir@
MYSQLLIBDIR = @mysqllibdir@

# c-client include and lib directories.
# Normally, they are in the same dir.
CCLIENTDIR = @cclientdir@
CCLIENTINCDIR = $(CCLIENTDIR)
CCLIENTLIBDIR = $(CCLIENTDIR)

# M4
M4 = @M4@



INCLUDES = -I$(RIPINCDIR) -I$(MYSQLINCDIR) -I$(CCLIENTINCDIR) -I. `$(GLIBCONF) --cflags`

# autoconf-generated defines and libs
ACDEFS = @DEFS@
ACLIBS = @LIBS@


# OS-specific flags

# Compilers
CC = @CC@
CXX = @CXX@

# Compiler flags
# _POSIX_PTHREAD_SEMANTICS is needed for ctime_r calls

DEFINES = -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS $(ACDEFS)

CFLAGS  = @CFLAGS@ -g $(INCLUDES) $(DEFINES)
LFLAGS  = @CFLAGS@ @LIBS@ -g -L$(RIPLIBDIR) -L$(MYSQLLIBDIR) $(CCLIENTLIBDIR)/c-client.a `$(GLIBCONF) --libs gthread` $(ACLIBS) -lmysqlclient -lm 
# -lxnet

